package service

import "leit.com/aps_engine/models"

type CalendarSrv struct {
	CalendarNr		int
	CalDayDict		map[string]int		// 用于存储特殊工作日的日模型
	WorkCalTab		models.Workcalendar
}

// 初始化
func(calsrv *CalendarSrv)Init(caltab models.Workcalendar){
	var i		int

	calsrv.WorkCalTab	= caltab
	calsrv.CalendarNr 	= calsrv.WorkCalTab.Workcalendarnr
	calsrv.CalDayDict	= make(map[string]int)
	for i = 0; i < len(caltab.Itemlst); i++ {
		calsrv.CalDayDict[caltab.Itemlst[i].Workdate] = caltab.Itemlst[i].Daymodelnr
	}
}