package service

const (
	// 工单状态
	WO_STATUS_UNPLANNED		= 10	// 未计划
	WO_STATUS_PLANNED		= 20	// 已计划
	WO_STATUS_LOCKED		= 24	// 已锁定
	WO_STATUS_RELEASED		= 26	// 已下达，生成序列订单
	WO_STATUS_INTERRUPT 	= 39	// 中断中
	WO_STATUS_RUNNING		= 40	// 生产中
	WO_STATUS_FINISHED		= 80	// 已完成
	WO_STATUS_FROZEN		= 95	// 冻结
	WO_STATUS_CANCELED		= 98	// 取消

	RES_STATUS_AVAIL		= 1		// 资源状态可用
	RES_STATUS_UNAVAIL		= 0		// 资源状态不可用

	// 计划资源负载类型
	WORKLOAD_TYPE_MONTHLY	= "MONTHLY"
	WORKLOAD_TYPE_WEEKLY	= "WEEKLY"
	WORKLOAD_TYPE_DAILY		= "DAILY"
	WORKLOAD_TYPE_SHIFT		= "SHIFT"
	WORKLOAD_TYPE_HOURLY 	= "HOURLY"

	// 时间类型
	TIME_UOM_WEEK			= "WEEK"
	TIME_UOM_DAY			= "DAY"
	TIME_UOM_HOUR			= "HOUR"
	TIME_UOM_MINUTE			= "MINUTE"
	TIME_UOM_SECOND			= "SECOND"

	// 物料需求变化类型
	ART_CHANGE_CONSUME		= 1		// 物料消耗
	ART_CHANGE_PRODUCE		= 2		// 物料产出

	// 表时间字段更新模式
	MODIFY_MODE_CREATE		= "CREATE"
	MODIFY_MODE_UPDATE		= "UPDATE"
	MODIFY_MODE_DELETE		= "DELETE"
)
